Subject: bug#67754: tags for objc and objcxx

From: Alex Ameen <[email-masked]>
Date: Sun, 10 Dec 2023 19:39:41 -0600

Hey yeah I'm here, but honestly I need to step down.

I have a kid on the way in a few weeks and have been really inattentive to
the libtool work.

Apologies for the radio silence.

On Sun, Dec 10, 2023, 12:07 PM Karl Berry <[email-masked]> wrote:

> Hi (is there anyone maintaining libtool nowadays? Alex, are you there?) -
>
> I just installed the patch below to Automake, passing the OBJC and
> OBJCXX tags to libtool for the respective languages. It would be good if
> libtool recognized those tags.
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67539
>
> The reason to pass them before being recognized by libtool is to
> avoid an immediate fatal error, as explained in that bug.
> The libtool manual says (line 2930):
>     [...] can't infer
>     a tag, then it defaults to the configuration for the @code{C} language.
>
> But clearly this is no longer the case, which seems like a good
> thing. Thus I suggest replacing that text with something like:
>     [...] can't infer
>     a tag, then it exits immediately with a fatal error.
>
> Happy hacking,
> Karl
>
> --- a/bin/automake.in
> +++ b/bin/automake.in
> @@ -739,6 +739,7 @@ register_language ('name' => 'objc',
>                    'compiler' => 'OBJCCOMPILE',
>                    'compile_flag' => '-c',
>                    'output_flag' => '-o',
> +                  'libtool_flag' => 'OBJC',
>                    'lder' => 'OBJCLD',
>                    'ld' => '$(OBJC)',
>                    'pure' => 1,
> @@ -757,6 +758,7 @@ register_language ('name' => 'objcxx',
>                    'compiler' => 'OBJCXXCOMPILE',
>                    'compile_flag' => '-c',
>                    'output_flag' => '-o',
> +                  'libtool_flag' => 'OBJCXX',
>                    'lder' => 'OBJCXXLD',
>                    'ld' => '$(OBJCXX)',
>                    'pure' => 1,
>
>
>
> _______________________________________________
> Bug-libtool mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-libtool
>